<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Root Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Root Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" title="Root of the syntax tree">Root</a> of the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaf8548df8368513b38dd24bb93bbde78"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#aaf8548df8368513b38dd24bb93bbde78">Root</a> ()</td></tr>
<tr class="separator:aaf8548df8368513b38dd24bb93bbde78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838f22f0e0ae27ad3e5348668a341649"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a838f22f0e0ae27ad3e5348668a341649">Root</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, string ns=default)</td></tr>
<tr class="separator:a838f22f0e0ae27ad3e5348668a341649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab73987cf5f70a50fe77734dd18448860"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#ab73987cf5f70a50fe77734dd18448860">WithClass</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls)</td></tr>
<tr class="separator:ab73987cf5f70a50fe77734dd18448860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44750b5efbf9c63d9690930dd41b7372"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a44750b5efbf9c63d9690930dd41b7372">WithNamespace</a> (string ns)</td></tr>
<tr class="separator:a44750b5efbf9c63d9690930dd41b7372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a883d79f83d3d136ba48b4b66a94b63fd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a883d79f83d3d136ba48b4b66a94b63fd">AddImport</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import)</td></tr>
<tr class="separator:a883d79f83d3d136ba48b4b66a94b63fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4688575e6ad2ae02a281773ddf0fde1c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a4688575e6ad2ae02a281773ddf0fde1c">AddImports</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>[] imports)</td></tr>
<tr class="separator:a4688575e6ad2ae02a281773ddf0fde1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af440a4759bf65183f3c61d2848c7a3ba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#af440a4759bf65183f3c61d2848c7a3ba">AddImports</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> &gt; imports)</td></tr>
<tr class="separator:af440a4759bf65183f3c61d2848c7a3ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a8668adfbf6315bd93ca1ca5625b0c798"><td class="memItemLeft" align="right" valign="top">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a8668adfbf6315bd93ca1ca5625b0c798">Class</a><code> [get]</code></td></tr>
<tr class="memdesc:a8668adfbf6315bd93ca1ca5625b0c798"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html" title="A class in the syntax tree">Class</a> in the syntax tree  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a8668adfbf6315bd93ca1ca5625b0c798">More...</a><br /></td></tr>
<tr class="separator:a8668adfbf6315bd93ca1ca5625b0c798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88c03552e5858837c2ee0887ebe90489"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a88c03552e5858837c2ee0887ebe90489">Namespace</a><code> [get]</code></td></tr>
<tr class="memdesc:a88c03552e5858837c2ee0887ebe90489"><td class="mdescLeft">&#160;</td><td class="mdescRight">Namespace in the syntax tree  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a88c03552e5858837c2ee0887ebe90489">More...</a><br /></td></tr>
<tr class="separator:a88c03552e5858837c2ee0887ebe90489"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a256c031af882b020e557d189e1f5f361"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a256c031af882b020e557d189e1f5f361">Imports</a><code> [get]</code></td></tr>
<tr class="memdesc:a256c031af882b020e557d189e1f5f361"><td class="mdescLeft">&#160;</td><td class="mdescRight">Imports in the syntax tree  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a256c031af882b020e557d189e1f5f361">More...</a><br /></td></tr>
<tr class="separator:a256c031af882b020e557d189e1f5f361"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" title="Root of the syntax tree">Root</a> of the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aaf8548df8368513b38dd24bb93bbde78" name="aaf8548df8368513b38dd24bb93bbde78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf8548df8368513b38dd24bb93bbde78">&#9670;&nbsp;</a></span>Root() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Root.Root </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a838f22f0e0ae27ad3e5348668a341649" name="a838f22f0e0ae27ad3e5348668a341649"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a838f22f0e0ae27ad3e5348668a341649">&#9670;&nbsp;</a></span>Root() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Root.Root </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td>
          <td class="paramname"><em>cls</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ns</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a883d79f83d3d136ba48b4b66a94b63fd" name="a883d79f83d3d136ba48b4b66a94b63fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a883d79f83d3d136ba48b4b66a94b63fd">&#9670;&nbsp;</a></span>AddImport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> xAPI_Definitions_Parser.Code.SyntaxTree.Root.AddImport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&#160;</td>
          <td class="paramname"><em>import</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af440a4759bf65183f3c61d2848c7a3ba" name="af440a4759bf65183f3c61d2848c7a3ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af440a4759bf65183f3c61d2848c7a3ba">&#9670;&nbsp;</a></span>AddImports() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> xAPI_Definitions_Parser.Code.SyntaxTree.Root.AddImports </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> &gt;&#160;</td>
          <td class="paramname"><em>imports</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4688575e6ad2ae02a281773ddf0fde1c" name="a4688575e6ad2ae02a281773ddf0fde1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4688575e6ad2ae02a281773ddf0fde1c">&#9670;&nbsp;</a></span>AddImports() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> xAPI_Definitions_Parser.Code.SyntaxTree.Root.AddImports </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>[]&#160;</td>
          <td class="paramname"><em>imports</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab73987cf5f70a50fe77734dd18448860" name="ab73987cf5f70a50fe77734dd18448860"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab73987cf5f70a50fe77734dd18448860">&#9670;&nbsp;</a></span>WithClass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> xAPI_Definitions_Parser.Code.SyntaxTree.Root.WithClass </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td>
          <td class="paramname"><em>cls</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44750b5efbf9c63d9690930dd41b7372" name="a44750b5efbf9c63d9690930dd41b7372"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44750b5efbf9c63d9690930dd41b7372">&#9670;&nbsp;</a></span>WithNamespace()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> xAPI_Definitions_Parser.Code.SyntaxTree.Root.WithNamespace </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ns</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a8668adfbf6315bd93ca1ca5625b0c798" name="a8668adfbf6315bd93ca1ca5625b0c798"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8668adfbf6315bd93ca1ca5625b0c798">&#9670;&nbsp;</a></span>Class</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Root.Class</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html" title="A class in the syntax tree">Class</a> in the syntax tree </p>

</div>
</div>
<a id="a256c031af882b020e557d189e1f5f361" name="a256c031af882b020e557d189e1f5f361"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a256c031af882b020e557d189e1f5f361">&#9670;&nbsp;</a></span>Imports</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Root.Imports</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Imports in the syntax tree </p>

</div>
</div>
<a id="a88c03552e5858837c2ee0887ebe90489" name="a88c03552e5858837c2ee0887ebe90489"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88c03552e5858837c2ee0887ebe90489">&#9670;&nbsp;</a></span>Namespace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Root.Namespace</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Namespace in the syntax tree </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_root_8cs.html">Root.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
